<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('../utilesphp/sql_oop.php'); //conexion a base de datos
$compras=$mysqli->query('SELECT * FROM compras WHERE Idproveedor="'.$_GET['Idproveedor'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'"');
  $row_compras = $compras->fetch_array();
if ($compras->num_rows==0) {
	if (isset($_GET['dia']) AND isset($_GET['mes']) AND isset($_GET['anno']) AND isset($_GET['Idproveedor']) AND isset($_GET['tipodoc']) AND isset($_GET['ndoc'])) {
		$fecha=$_GET['anno'].'-'.$_GET['mes'].'-'.$_GET['dia'];
		if ($_GET['pagada']=="si") {
			$fechapago=$fecha;
			$formapago=$_GET['formapago'];
			$ncheque=$_GET['ncheque'];
			$bancocheque=$_GET['bancocheque'];
		} else {
			$fechapago='0000-00-00';
			$formapago='credito';
			$ncheque='0';
			$bancocheque='';
		}
		
		$insert=$mysqli->query('INSERT INTO compras (fecha,tipodoc,ndoc,Idproveedor,pagada,fechapago,formapago,ncheque,bancocheque) VALUES ("'.$fecha.'","'.$_GET['tipodoc'].'","'.$_GET['ndoc'].'","'.$_GET['Idproveedor'].'","'.$_GET['pagada'].'","'.$fechapago.'","'.$formapago.'","'.$ncheque.'","'.$bancocheque.'")');
		$Idcompra=$mysqli->insert_id;
	} else {header('Location: ../movimientos-compras.php');}
} else {$Idcompra=$row_compras['Idcompra'];}
if ($compras) {
	$compras->free();
}
if ($precios) {
	$precios->free();
}
$mysqli->close();
header('Location: ../movimientos-compras-detalle.php?Idcompra='.$Idcompra.'&i=i');
?>